import javax.swing.*;

/**
 * <b>Programm:</b> WaveGradient<br>
 * <b>Copyright:</b> 2002 Andreas Gohr, Frank Schubert<br>
 * <b>License:</b> GPL2 or higher<br>
 * <br>
 * <b>Info:</b> holds Sliders for values of MonoWave
 */

/**
 * Sliders for wave values
 */
public class MonoWaveSlider {
  DoubleJSlider jsAmplitude = null;
  DoubleJSlider jsFrequency = null;
  DoubleJSlider jsWavelength= null;
  DoubleJSlider jsPhase     = null;
  
  /**
   * Constructor
   */
  public MonoWaveSlider() {
    jsAmplitude = new DoubleJSlider();
    jsAmplitude.setName("Amplitude");
    jsFrequency = new DoubleJSlider();
    jsFrequency.setName("Frequency");
    jsWavelength= new DoubleJSlider();
    jsWavelength.setName("WaveLength");
    jsPhase     = new DoubleJSlider();
    jsPhase.setName("Phase");
  }
  
  /**
   * returns Slider
   */
  public DoubleJSlider getAmplitudeSlider() {
    return( jsAmplitude );
  }
    
  /**
   * returns Slider
   */
  public DoubleJSlider getFrequencySlider() {
    return( jsFrequency );
  }
    
  /**
   * returns Slider
   */
  public DoubleJSlider getWaveLengthSlider() {
    return( jsWavelength );
  }
    
  /**
   * returns Slider
   */
  public DoubleJSlider getPhaseSlider() {
    return( jsPhase );
  }
  
}
