import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

/**
 * <b>Programm:</b> WaveGradient<br>
 * <b>Copyright:</b> 2002 Andreas Gohr, Frank Schubert<br>
 * <b>License:</b> GPL2 or higher<br>
 * <br>
 * <b>Info:</b> Startwindow
 */
public class WaveGradientFrame extends JFrame{
  /**
   * constructor
   */
  public WaveGradientFrame(){
    setTitle("Wave");
    setSize(640,400);
    addWindowListener(new WindowCallback()); //close window on X
    getContentPane().add(new WaveGradientMain());
    setVisible(true);
  }
}  

/**
 * Callback class to exit application on windowclose
 */
class WindowCallback extends WindowAdapter {
  public void windowClosing(WindowEvent e){
    System.exit(0);
  }
}
